net.minecraft.client.renderer.entity

## Class RenderManager

- java.lang.Object
- - net.minecraft.client.renderer.entity.RenderManager

-     public class RenderManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `debugBoundingBox`
    `java.util.Map` | `entityRenderMap`
    `Entity` | `field_147941_i`
    `static RenderManager` | `instance`
    `ItemRenderer` | `itemRenderer`
    `EntityLivingBase` | `livingPlayer`
    `GameSettings` | `options`
    `float` | `playerViewX`
    `float` | `playerViewY`
    `TextureManager` | `renderEngine`
    `static double` | `renderPosX`
    `static double` | `renderPosY`
    `static double` | `renderPosZ`
    `double` | `viewerPosX`
    `double` | `viewerPosY`
    `double` | `viewerPosZ`
    `World` | `worldObj`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cacheActiveRenderInfo(World p_147938_1_, TextureManager p_147938_2_, FontRenderer p_147938_3_, EntityLivingBase p_147938_4_, Entity p_147938_5_, GameSettings p_147938_6_, float p_147938_7_)`
    `boolean` | `func_147939_a(Entity p_147939_1_, double p_147939_2_, double p_147939_4_, double p_147939_6_, float p_147939_8_, float p_147939_9_, boolean p_147939_10_)`
    `double` | `getDistanceToCamera(double par1, double par3, double par5)`
    `Render` | `getEntityClassRenderObject(java.lang.Class par1Class)`
    `Render` | `getEntityRenderObject(Entity par1Entity)`
    `FontRenderer` | `getFontRenderer()`
    `boolean` | `renderEntitySimple(Entity p_147937_1_, float p_147937_2_)`
    `boolean` | `renderEntityStatic(Entity p_147936_1_, float p_147936_2_, boolean p_147936_3_)`
    `boolean` | `renderEntityWithPosYaw(Entity p_147940_1_, double p_147940_2_, double p_147940_4_, double p_147940_6_, float p_147940_8_, float p_147940_9_)`
    `void` | `set(World par1World)`
    `void` | `updateIcons(IIconRegister par1IconRegister)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entityRenderMap

          public java.util.Map entityRenderMap

    - #### instance

          public static RenderManager instance

    - #### renderPosX

          public static double renderPosX

    - #### renderPosY

          public static double renderPosY

    - #### renderPosZ

          public static double renderPosZ

    - #### renderEngine

          public TextureManager renderEngine

    - #### itemRenderer

          public ItemRenderer itemRenderer

    - #### worldObj

          public World worldObj

    - #### livingPlayer

          public EntityLivingBase livingPlayer

    - #### field_147941_i

          public Entity field_147941_i

    - #### playerViewY

          public float playerViewY

    - #### playerViewX

          public float playerViewX

    - #### options

          public GameSettings options

    - #### viewerPosX

          public double viewerPosX

    - #### viewerPosY

          public double viewerPosY

    - #### viewerPosZ

          public double viewerPosZ

    - #### debugBoundingBox

          public static boolean debugBoundingBox

  - ### Method Detail

    - #### getEntityClassRenderObject

          public Render getEntityClassRenderObject(java.lang.Class par1Class)

    - #### getEntityRenderObject

          public Render getEntityRenderObject(Entity par1Entity)

    - #### cacheActiveRenderInfo

          public void cacheActiveRenderInfo(World p_147938_1_,
                                   TextureManager p_147938_2_,
                                   FontRenderer p_147938_3_,
                                   EntityLivingBase p_147938_4_,
                                   Entity p_147938_5_,
                                   GameSettings p_147938_6_,
                                   float p_147938_7_)

    - #### renderEntitySimple

          public boolean renderEntitySimple(Entity p_147937_1_,
                                   float p_147937_2_)

    - #### renderEntityStatic

          public boolean renderEntityStatic(Entity p_147936_1_,
                                   float p_147936_2_,
                                   boolean p_147936_3_)

    - #### renderEntityWithPosYaw

          public boolean renderEntityWithPosYaw(Entity p_147940_1_,
                                       double p_147940_2_,
                                       double p_147940_4_,
                                       double p_147940_6_,
                                       float p_147940_8_,
                                       float p_147940_9_)

    - #### func_147939_a

          public boolean func_147939_a(Entity p_147939_1_,
                              double p_147939_2_,
                              double p_147939_4_,
                              double p_147939_6_,
                              float p_147939_8_,
                              float p_147939_9_,
                              boolean p_147939_10_)

    - #### set

          public void set(World par1World)

    - #### getDistanceToCamera

          public double getDistanceToCamera(double par1,
                                   double par3,
                                   double par5)

    - #### getFontRenderer

          public FontRenderer getFontRenderer()

    - #### updateIcons

          public void updateIcons(IIconRegister par1IconRegister)